package com.zanxiang.common.domain.gameStrategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 游戏支付策略-订单切量配置
 *
 * @author xufeng
 * @date 2022/7/1 11:47
 */
@Data
public class Order implements Serializable {

    @ApiModelProperty(notes = "日总金额")
    private BigDecimal dayAmount;

    @ApiModelProperty(notes = "周总金额")
    private BigDecimal weekAmount;

    @ApiModelProperty(notes = "月总金额")
    private BigDecimal monthAmount;

    @ApiModelProperty(notes = "总金额")
    private BigDecimal totalAmount;


}
