package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁管理状态
 */
@Getter
@AllArgsConstructor
public enum BanStatusEnum {

    /**
     * 正常
     */
    NORMAL_STATUS(0, "正常"),

    /**
     * 封禁
     */
    BAN_STATUS(1, "封禁");

    /**
     * 状态
     */
    private Integer status;

    /**
     * 描述
     */
    private String describe;

}
