package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-07-13
 * @description : 游戏应用类型
 */
@Getter
@AllArgsConstructor
public enum CategoryTypeEnum {

    /**
     * 微信小游戏
     */
    CATEGORY_TYPE_WX(1L, "微信小游戏"),

    /**
     * 抖音小游戏
     */
    CATEGORY_TYPE_DY(2L, "抖音小游戏"),

    /**
     * h5游戏
     */
    CATEGORY_TYPE_H5(3L, "h5游戏"),

    /**
     * app游戏
     */
    CATEGORY_TYPE_APP(4L, "app游戏");

    /**
     * 设备类型
     */
    private Long categoryType;

    /**
     * 描述
     */
    private String name;
}
