package com.zanxiang.common.enums;

import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author xufeng
 * @date 2022/6/27 14:31
 */
@Getter
@NoArgsConstructor
public enum CpStatusEnum {
    FAILLE(-1, "失败"),
    READY(1, "待同步"),
    SUCCESS(2, "同步成功");

    private int code;
    private String msg;

    CpStatusEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
