package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏分类标签
 */
@Getter
@AllArgsConstructor
public enum GameCategoryEnum {

    /**
     * 游戏类型（微信小游戏/抖音小游戏/h5/app等）
     */
    GAME_TYPE(1, "游戏类型（微信小游戏/抖音小游戏/h5/app等）"),

    /**
     * 游戏分类（策略游戏/卡牌游戏/）
     */
    GAME_LABEL(2, "游戏分类（策略游戏/卡牌游戏/）");

    /**
     * 设备类型
     */
    private Integer categoryType;

    /**
     * 描述
     */
    private String describe;
}
