package com.zanxiang.common.enums;

import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author xufeng
 * @date 2022/6/13 13:39
 */
@Getter
@NoArgsConstructor
public enum MaxPayLock {
    LOCK(1, "已锁定"),
    UNLOCK(0, "未锁定");

    private int code;
    private String name;

    MaxPayLock(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
