package com.zanxiang.common.enums;

public enum OrderStateEnum {
    NO_PAY(1, "待支付"),
    SUCCESS(2, "支付成功"),
    CANCEL(-1, "取消");

    OrderStateEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private final Integer code;

    private final String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
