package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 操作系统类型
 */
@Getter
@AllArgsConstructor
public enum OsEnum {

    /**
     * 安卓
     */
    SYSTEM_ANDROID("android", "安卓手机操作系统"),

    /**
     * 苹果
     */
    SYSTEM_IOS("ios", "苹果手机操作系统"),

    /**
     * window操作系统
     */
    SYSTEM_WINDOW("windows", "window操作系统"),

    /**
     * Mac操作系统
     */
    SYSTEM_MAC("mac", "Mac操作系统"),

    /**
     * linux操作系统
     */
    SYSTEM_LINUX("linux", "linux操作系统"),

    /**
     * 其它操作系统
     */
    SYSTEM_OTHER("other", "other操作系统");

    /**
     * 平台id
     */
    private String os;

    /**
     * 平台名称
     */
    private String osName;
}
