package com.zanxiang.common.enums;

public enum ResEnum {
    SUCCESS(200, "success"),//勿修改，影响支付响应
    FAIL(400, "failed"),//勿修改，影响支付响应
    TO_LOGIN(310, "登录失效，请重新登录！"),
    ERROR(500, "系统异常"),
    REMOTE_SERVER_FAIL(503, "远程服务调用失败"),
    LOGIN_FAIL(1001, "用户名或密码错误"),
    AD_NO_LOGIN(1003, "腾讯广告平台未登录或登录失效");

    ResEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private final int code;

    private final String msg;

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
