package com.zanxiang.common.enums;

import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author xufeng
 * @date 2022/6/13 11:39
 */
@Getter
@NoArgsConstructor
public enum StatusEnum {
    YES(0, "正常"),
    NO(1, "禁止");

    private int code;
    private String name;

    StatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
