package com.zanxiang.manage.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 渠道信息
 */
@Data
public class ChannelDTO {

    /**
     * id
     */
    private Long id;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 渠道唯一标识
     */
    private String channelSign;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 职位
     */
    private String position;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;

    /**
     * 删除时间
     */
    private LocalDateTime deleteTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
