package com.zanxiang.manage.domain.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 推广账号
 */
@Data
public class PromoAccountDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 推广账号id
     */
    private String account;

    /**
     * 推广账号名称
     */
    private String name;

    /**
     * 投手项目组
     */
    private String pitcherGroupId;

    /**
     * 投手项目组名称
     */
    private String pitcherGroupName;

    /**
     * 投手id
     */
    private String pitcherId;

    /**
     * 投手名称
     */
    private String pitcherName;

    /**
     * 推广媒体id
     */
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    private String mediaName;

    /**
     * 推广账号类型
     */
    private String accountType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    private Integer status;
}
