package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.Cp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description : cp查询参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CpListParam extends BasePage<Cp> {

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;
}
