package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xufeng
 * @date 2022/7/13 17:52
 */
@Data
public class AllGamePayWayByGameIdVO {
    @ApiModelProperty(notes = "微信支付配置")
    private GameWxpayPayVO wxpayPayVO;

    @ApiModelProperty(notes = "虚拟支付配置")
    private GameAnalogPayVO.PayConfigBean analogPayVO;

    @ApiModelProperty(notes = "支付宝支付配置")
    private GameAlipayPayVO alipayPayVO;

    @ApiModelProperty(notes = "支付策略配置——订单起量切换规则")
    private GameStrategyInfoVO gameStrategyVO;
}
