package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-22
 * @description : cp信息
 */
@Data
public class CpVO {

    /**
     * id
     */
    @ApiModelProperty(notes = "id")
    private Long id;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 公司名称
     */
    @ApiModelProperty(notes = "公司名称")
    private String companyName;

    /**
     * 联系人
     */
    @ApiModelProperty(notes = "联系人")
    private String linkMan;

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    private String mobile;

    /**
     * 对接状态
     */
    @ApiModelProperty(notes = "对接状态")
    private String status;

    /**
     * 备注
     */
    @ApiModelProperty(notes = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
