package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 对接参数显示
 */
@Data
public class GameDockVO {

    /**
     * cpId
     */
    @ApiModelProperty(notes = "cpId")
    private Long cpId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private String cpName;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long id;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String name;

    /**
     * 游戏appId
     */
    @ApiModelProperty(notes = "游戏appId")
    private String appId;

    /**
     * 密钥secret
     */
    @ApiModelProperty(notes = "密钥secret")
    private String appSecret;

    /**
     * 游戏key
     */
    @ApiModelProperty(notes = "游戏key")
    private String appKey;
}
