package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 支付方式
 */
@Data
public class PayWayVO {

    /**
     * 支付方式
     */
    @ApiModelProperty(notes = "支付方式id")
    private Integer id;

    /**
     * 支付通道
     */
    @ApiModelProperty(notes = "支付通道")
    private String code;

    /**
     * 支付名称
     */
    @ApiModelProperty(notes = "支付名称")
    private String payName;

    /**
     * 父ID
     */
    @ApiModelProperty(notes = "父ID")
    private Integer parentId;

    /**
     * 支付配置（存储需要配置的信息json）
     */
    @ApiModelProperty(notes = "支付配置")
    private String payExt;

    /**
     * 描述
     */
    @ApiModelProperty(notes = "描述")
    private String remark;
}