package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户收货地址
 */
@Data
public class UserAddressVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 收货人
     */
    @ApiModelProperty(notes = "收货人")
    private String receiver;

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    private String mobile;

    /**
     * 邮箱
     */
    @ApiModelProperty(notes = "邮箱")
    private String email;

    /**
     * 是否默认
     */
    @ApiModelProperty(notes = "是否默认")
    private Boolean isDefault;

    /**
     * 收货地址
     */
    @ApiModelProperty(notes = "收货地址")
    private String address;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
