package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.dto.ChannelDTO;
import com.zanxiang.manage.domain.vo.PromoChannelChoiceVO;
import com.zanxiang.manage.service.ChannelService;
import com.zanxiang.mybatis.entity.Channel;
import com.zanxiang.mybatis.mapper.ChannelMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 渠道
 */
@Slf4j
@Service
public class ChannelServiceImpl extends ServiceImpl<ChannelMapper, Channel> implements ChannelService {

    /**
     * 查询渠道选择列表
     *
     * @return : 返回所有cp信息
     */
    @Override
    public List<PromoChannelChoiceVO> choiceList() {
        return null;
    }

    /**
     * 查询渠道选择列表
     *
     * @return : 返回所有cp信息
     */
    @Override
    public Map<Long, String> choiceMap() {
        Map<Long, String> map = new HashMap<>(2);
        map.put(1L, "szqremenshouyoubabangtuijianpyq|邵邵-烈火骑士-热门手游霸榜推荐-朋友圈");
        map.put(2L, "SZQhuoreshouyouxinzhanbaoJL(szq-奇迹战神-火热手游新战报-激励-巨网)");
        return map;
    }

    /**
     * 根据主键id查询
     *
     * @param id : 主键id
     * @return : 返回渠道信息
     */
    @Override
    public ChannelDTO getById(Long id) {
        return BeanUtils.copy(super.getById(id), ChannelDTO.class);
    }
}
