package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.PayBoxListParam;
import com.zanxiang.manage.domain.params.PayBoxParam;
import com.zanxiang.manage.domain.vo.PayBoxListVO;
import com.zanxiang.mybatis.entity.PayBox;
import com.zanxiang.mybatis.entity.PayMerchant;

import java.util.Map;

/**
 * 支付盒子 服务类接口
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */

public interface PayBoxService extends IService<PayBox> {
    Boolean saveOrUpdate(PayBoxParam bo);

    IPage<PayBoxListVO> list(PayBoxListParam param);

    String getMerchantDetail(Map<String, PayMerchant> payMerchant, String ids);
}
