package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.manage.domain.params.UserBanListParam;
import com.zanxiang.manage.domain.params.UserBanUpdateParam;
import com.zanxiang.manage.domain.vo.UserBanVO;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : 玩家封禁管理
 */
public interface UserBanService {

    /**
     * 查询ip封禁列表
     *
     * @param param : 查询参数
     * @return : 返回单页数据
     */
    IPage<UserBanVO> list(UserBanListParam param);

    /**
     * 玩家封禁添加或者更新
     *
     * @param param : 玩家封禁更新参数
     * @return : 返回更新结果
     */
    Boolean addOrUpdate(UserBanUpdateParam param);
}
