package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.UserLoginLogParam;
import com.zanxiang.manage.domain.vo.UserRoleLoginVO;
import com.zanxiang.mybatis.entity.UserLoginLog;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户登录日志
 */
public interface UserLoginLogService extends IService<UserLoginLog> {

    /**
     * 查询用户登录记录
     *
     * @param param : 登录记录查询参数
     * @return : 返回单页数据
     */
    IPage<UserRoleLoginVO> loginList(UserLoginLogParam param);
}
