package com.zanxiang.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 支付方式
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_pay_way")
public class PayWay {

    /**
     * 支付方式
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 支付通道
     */
    private String code;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 父ID
     */
    private Integer parentId;

    /**
     * 支付配置（存储需要配置的信息json）
     */
    private String payExt;

    /**
     * 描述
     */
    private String remark;
}