package com.zanxiang.sdk.config;

import com.zanxiang.sdk.adapter.ArgumentAdapter;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author xufeng
 * @date 2022/6/20 09:59
 */
@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Resource
    private ArgumentAdapter argumentResolverHandler;


    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(argumentResolverHandler);
    }

}
