package com.zanxiang.sdk.listener;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 订单支付完成事件
 *
 * @author xufeng
 * @date 2022/6/27 10:27
 */
@Getter
public class OrderPaySuccessEvent extends ApplicationEvent {

    private final String orderId;

    public OrderPaySuccessEvent(Object source, String orderId) {
        super(source);
        this.orderId = orderId;

    }
}
