package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.mybatis.entity.UserCard;
import com.zanxiang.sdk.domain.params.UserCardUpdateParam;
import com.zanxiang.sdk.domain.params.UserData;

/**
 * @author : lingfeng
 * @time : 2022-09-26
 * @description : 用户实名认证
 */
public interface UserCardService extends IService<UserCard> {

    /**
     * 用户实名认证
     *
     * @param param    : 实名认证参数
     * @param userData : 用户登录信息
     * @return : 返回结果
     */
    ResultVO<Boolean> userAuthentication(UserCardUpdateParam param, UserData userData);
}
