package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-10-26
 * @description : 推广媒体
 */
@Getter
@AllArgsConstructor
public enum MediaType {

    /**
     * 社交
     */
    SOCIAL_CONTACT("社交"),

    /**
     * 短视频
     */
    SHORT_VIDEO("短视频"),

    /**
     * 视频
     */
    VIDEO("视频"),

    /**
     * 资讯
     */
    NEWS_INFO("资讯");

    /**
     * 推广媒体
     */
    private String mediaType;
}
