package com.zanxiang.manage.domain.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author xufeng
 * @date 2022/6/22 16:53
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBoxBO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 应用id
     */
    private Integer payApplicationId;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    private String payMerchantId;

    /**
     * 盒子类型 1、金币 2、红包
     */
    private Integer type;

    /**
     * 描述
     */
    private String desc;
}
