package com.zanxiang.manage.domain.dto;

import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 推广渠道
 */
@Data
public class PromoChannelDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 推广账号主键id
     */
    private Long accountId;

    /**
     * 推广媒体id
     */
    private Long mediaId;

    /**
     * 推广媒体名称
     */
    private String mediaName;

    /**
     * 服务商
     */
    private String provider;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 二维码
     */
    private String code;

    /**
     * 推广路径
     */
    private String path;

    /**
     * 渠道
     */
    private String channel;

    /**
     * 状态, 0 : 可用, 1: 禁用
     */
    private Integer status;
}
