package com.zanxiang.manage.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-11-02
 * @description : 用户实名信息
 */
@Data
public class UserCardDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 注册时间
     */
    private LocalDateTime regTime;

    /**
     * 身份证号
     */
    private String cardId;

    /**
     * 真实姓名
     */
    private String cardName;

    /**
     * 生日
     */
    private String birthday;

    /**
     * 性别, 0 : 未知, 1 : 男, 2 : 女
     */
    private Integer sex;
}
