package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.GameCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 标签查询
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GameCategoryListParam extends BasePage<GameCategory> {

    /**
     * 标签名称
     */
    @ApiModelProperty(notes = "标签名称")
    private String labelName;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParent;
}
