package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.GamePayWay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : xufeng
 * @time : 2022-06-30
 * @description : 游戏支付配置表
 */
@Data
public class GamePayWayListParam extends BasePage<GamePayWay> {

    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    @ApiModelProperty(notes = "游戏类型")
    private String gameType;

    @ApiModelProperty(notes = "支付方式id")
    private Integer payWayId;


    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}