package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-08
 * @description : 导量游戏更新参数
 */
@Data
public class GuideGameUpdateParam {

    /**
     * 游戏主键id
     */
    @NotNull(message = "游戏主键id不可为空")
    @ApiModelProperty(notes = "游戏主键id")
    private Long id;

    /**
     * 导量游戏id
     */
    @NotNull(message = "导量游戏id不可为空")
    @ApiModelProperty(notes = "导量游戏id")
    private Long guideGameId;
}
