package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.IpBan;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁列表参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IpBanListParam extends BasePage<IpBan> {

    /**
     * 查询ip
     */
    @ApiModelProperty(notes = "查询的ip")
    private String ip;

    /**
     * 封禁状态
     */
    @ApiModelProperty(notes = "封禁状态")
    private Integer status;
}
