package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
public class PayMerchantListNoPageParam {


    @ApiModelProperty(notes = "支付方式id")
    private Integer payWayId;

    @ApiModelProperty(notes = "商户号")
    private String merchantNo;


    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}
