package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.PayMerchant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author xufeng
 * @date 2022/6/16 19:14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PayMerchantListParam extends BasePage<PayMerchant> {


    @ApiModelProperty(notes = "支付方式id")
    private Integer payWayId;

    @ApiModelProperty(notes = "商户号")
    private String merchantNo;


    @ApiModelProperty(notes = "商户名称")
    private String merchantName;

    @ApiModelProperty(notes = "状态 1 不可用 0 可用")
    private Integer status;

}
