package com.zanxiang.manage.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-29
 * @description : 玩家封禁更新
 */
@Data
public class UserBanUpdateParam {

    /**
     * 玩家id
     */
    @NotNull(message = "玩家id参数不可为空")
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 状态
     */
    @NotNull(message = "封禁状态不可为空")
    @ApiModelProperty(notes = "状态, 0 : 解封, 1 : 封禁")
    private Integer status;
}
