package com.zanxiang.manage.domain.params;

import com.zanxiang.common.base.BasePage;
import com.zanxiang.mybatis.entity.Order;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 下单记录
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserOrderListParam extends BasePage<Order> {

    /**
     * 用户id
     */
    @NotNull(message = "用户id不可为空")
    @ApiModelProperty(notes = "用户id")
    private Long userId;
}
