package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 游起起量规则配置
 */
@Data
public class GameStrategyVO {

    /**
     * 配置id
     */
    @ApiModelProperty(notes = "配置id")
    private Long id;

    /**
     * 策略名称
     */
    @ApiModelProperty(notes = "订单起量切换规则")
    private String name;

    /**
     * 状态 0正常 1不可用
     */
    @ApiModelProperty(notes = "状态 , 0 : 开启, 1 : 关闭")
    private Integer status;
}
