package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author xufeng
 * @date 2022/7/4 16:25
 */
@Data
public class OrderCompleteListVO implements Serializable {
    @ApiModelProperty(notes = "订单列表数据")
    private List<OrderCompleteVO> data;

    @ApiModelProperty(notes = "订单统计数据")
    private Map<String, BigDecimal> totalData;

    @ApiModelProperty(notes = "总数据")
    private Long total;

    @ApiModelProperty(notes = "每页显示条数")
    private Long size;

    @ApiModelProperty(notes = "当前页")
    private Long current;

    @ApiModelProperty(notes = "分页总页数")
    private Long pages;


}
