package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 角色登录记录
 */
@Data
public class UserRoleLoginVO {

    /**
     * 主键
     */
    @ApiModelProperty(notes = "主键")
    private Long id;

    /**
     * 登录时间
     */
    @ApiModelProperty(notes = "登录时间")
    private LocalDateTime loginTime;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用类型
     */
    @ApiModelProperty(notes = "游戏应用类型")
    private String gameCategoryName;

    /**
     * 登录角色名称
     */
    @ApiModelProperty(notes = "登录角色名称")
    private String roleName;

    /**
     * 登录ip
     */
    @ApiModelProperty(notes = "登录ip")
    private String loginIp;

    /**
     * 操作系统
     */
    @ApiModelProperty(notes = "操作系统")
    private String os;
}
