package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.bo.PayMerchantBO;
import com.zanxiang.manage.domain.dto.PayMerchantDTO;
import com.zanxiang.manage.domain.params.PayMerchantListNoPageParam;
import com.zanxiang.manage.domain.params.PayMerchantListParam;
import com.zanxiang.manage.domain.vo.PayMerchantListNoPageVO;
import com.zanxiang.manage.domain.vo.PayMerchantListVO;
import com.zanxiang.mybatis.entity.PayMerchant;

import java.util.List;

/**
 * 游戏支付商户配置表 服务类接口
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
public interface PayMerchantService extends IService<PayMerchant> {

    PayMerchantDTO info(Long id);

    Boolean saveOrUpdate(PayMerchantBO bo);

    IPage<PayMerchantListVO> list(PayMerchantListParam bo);

    List<PayMerchantListNoPageVO> listNoPage(PayMerchantListNoPageParam bo);

//    Boolean config(PayMerchantBO bo);
}
