package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.vo.UserAddressVO;
import com.zanxiang.mybatis.entity.UserAddress;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-07-05
 * @description : 用户地址
 */
public interface UserAddressService extends IService<UserAddress> {

    /**
     * 查询玩家收货地址列表
     *
     * @param userId : 用户id
     * @return : 返回
     */
    List<UserAddressVO> list(Long userId);
}
