package com.zanxiang.sdk;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;

@Slf4j
@EnableDiscoveryClient
@SpringBootApplication
@Configuration
public class SDKApplication {

    public static void main(String[] args) {
        SpringApplication.run(SDKApplication.class, args);
        System.out.println("赞象SDK服务启动成功123 ( ´･･)ﾉ(._.`) \n" +
                " ______  __     __     \n" +
                "/_____/\\/__/\\ /__/\\    \n" +
                "\\:::__\\/\\ \\::\\\\:.\\ \\   \n" +
                "   /: /  \\_\\::_\\:_\\/   \n" +
                "  /::/___  _\\/__\\_\\_/\\ \n" +
                " /_:/____/\\\\ \\ \\ \\::\\ \\\n" +
                " \\_______\\/ \\_\\/  \\__\\/\n");
    }

}
