package com.zanxiang.sdk.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 缓存key前缀
 */
public class RedisKeyConstant {

    /**
     * 同步服务缓存统一前缀
     */
    private static final String REDIS_PREFIX = "game_sdk_";

    /**
     * 游戏密钥缓存
     */
    public static final String GAME_SECRET_KEY = RedisKeyConstant.REDIS_PREFIX + "game_secret_key";

    /**
     * 用户token缓存key
     */
    public static final String USER_TOKEN_KEY = RedisKeyConstant.REDIS_PREFIX + "user_token";

    /**
     * token缓存key
     */
    public static final String TOKEN_INFO_KEY = RedisKeyConstant.REDIS_PREFIX + "token_info";

    /**
     * 手机验证码缓存key
     */
    public static final String SMS_PHONE_KEY = RedisKeyConstant.REDIS_PREFIX + "sms_phone";

    /**
     * 手机验证码缓存key
     */
    public static final String AUTH_STATE_KEY = RedisKeyConstant.REDIS_PREFIX + "auth_state";

    /**
     * 角色信息更新
     */
    public static final String ROLE_UPDATE_KEY = RedisKeyConstant.REDIS_PREFIX + "role_update";

    /**
     * 微信ACCESS_TOKEN key
     */
    public static final String WEIXIN_ACCESS_TOKEN = RedisKeyConstant.REDIS_PREFIX + "access_token_";

    /**
     * 微信ACCESS_TOKEN key
     */
    public static final String WEIXIN_OPEN_ID = RedisKeyConstant.REDIS_PREFIX + "open_id_";

}
