package com.zanxiang.sdk.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-09
 * @description : 用户信息
 */
@Data
public class UserDTO {

    /**
     * id
     */
    private Long id;

    /**
     * 所属渠道ID
     */
    private Long agentId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 注册手机号
     */
    private String regMobile;

    /**
     * 注册邮箱
     */
    private String regEmail;

    /**
     * 密码
     */
    private String password;

    /**
     * 绑定邮箱
     */
    private String email;

    /**
     * 绑定手机号码
     */
    private String mobile;

    /**
     * 设备来源 mobile,android,iphone,ipad,web,pc,mac,wxapp
     */
    private String fromDevice;

    /**
     * 设备ID android 为imei ios 为idfa
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * -1 为冻结状态, 1 为试玩状态 2为正常状态
     */
    private Integer status;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 渠道
     */
    private Long channel;

    /**
     * 注册时间
     */
    private LocalDateTime createTime;

    /**
     * 更改时间
     */
    private LocalDateTime updateTime;
}
