package com.zanxiang.sdk.domain.params;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author : lingfeng
 * @time : 2022-06-21
 * @description : QQ授权回调参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class QqLoginCallbackParam extends CommonParam{

    /**
     * 授权code
     */
    private String code;

    /**
     * 接口密钥
     */
    private String state;
}
