package com.zanxiang.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.mybatis.entity.PromoChannel;

/**
 * @author : lingfeng
 * @time : 2022-10-31
 * @description : 推广渠道
 */
public interface PromoChannelService extends IService<PromoChannel> {

    /**
     * 被渠道代理id
     *
     * @param channel 通道
     * @return {@link Long}
     */
    Long getAgentIdByChannel(String channel);
}
