package com.zanxiang.sdk.service;

import com.zanxiang.mybatis.entity.User;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description :
 */
public interface UserLoginLogService {

    /**
     * 添加用户登录日志
     *
     * @param realIp : 用户ip
     * @param user   : 用户信息
     * @param gameId : 游戏id
     * @param type   : 类型, 0 : 登录, 1 : 注销
     */
    void addUserLoginLog(String realIp, User user, Long gameId, Integer type);
}
